{% extends 'base.html.twig' %}

{% block title %}Liste Type Matiere {% endblock %}

{% block body %}
    <h1></h1>
    {% for message in app.flashes('info') %}
        <div class="alert alert-success">{{ message }}</div>
    {% endfor %}

    <td>
        <a>
            <button class="btn btn-success btn_new_type_matiere" url="{{ path('type_matiere_new') }}"><span
                        class="glyphicon glyphicon-plus"> Ajouter</span></button>
        </a>
    </td>
    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Liste Type Matiere </h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            <table id="" class="table table-bordered table-striped">
                <thead>
                <tr>

                    <th>Type de matière en Français</th>
                    <th>Type de matière en Français</th>
                    <th>Action</th>
                </tr>
                </thead>
                <tbody>
                {% for type_matiere in type_matieres %}
                    <tr>

                        <td>{{ type_matiere.libelleTypeFr }}</td>
                        <td>{{ type_matiere.libelleTypeAr }}</td>
                        <td>
                            <ul class="list_act_ens">
                                <li>
                                    <a>
                                        <button class="btn btn-primary btn_info_type_matiere"
                                                url="{{ path('type_matiere_show', {'id': type_matiere.id}) }}"><span
                                                    class="glyphicon glyphicon-info-sign"></span></button>
                                    </a>
                                </li>
                                <li>
                                    <a>
                                        <button class="btn btn-success btn_edit_type_matiere"
                                                url="{{ path('type_matiere_edit', {'id':type_matiere.id}) }}"><span
                                                    class="glyphicon glyphicon-pencil"></span>
                                        </button>
                                    </a>
                                </li>
                                <li>  {{ include('type_matiere/_delete_form.html.twig') }}</li>
                            </ul>
                        </td>
                    </tr>

                {% else %}
                    <tr>
                        <td colspan="4">Pas D'enregistrement</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>

            {#fenetre modale #}

            <div class="modal fade" id="modalTypeMatiere" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
                 aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header text-center">
                            <h4 class="modal-title w-100 font-weight-bold titre_modal_type_matiere">Ajouter Un Type
                                matière</h4>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="text-center">
                                <img src="{{ asset('images/loading.svg') }}" class="load_modal_body">
                            </div>
                            <div class="content_modal_body">
                            </div>
                        </div>
                        <div class="modal-footer">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
{% block mesJavascripts %}
    <script>
        $('body').on('click', '.btn_new_type_matiere', function (event) {
            $('#modalTypeMatiere').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.titre_modal_type_matiere').html('Ajouter nouvelle type matiere');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_edit_type_matiere', function (event) {
            $('#modalTypeMatiere').modal('show');
            $('.content_modal_body').html('');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.load_modal_body').show();
            $('.titre_modal_module').html('Modifier type matiere');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_info_type_matiere', function (event) {
            $('#modalTypeMatiere').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.titre_modal_type_matiere').html('Info type matiere');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'GET',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_del_type_matiere', function (event) {
            var name_type_matiere = $(this).attr('name_type_matiere');
            var id_type_matiere = $(this).attr('id_type_matiere');
            $('#modalTypeMatiere').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_type_matiere').html('Supprimer type matiere');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer la type matiere: <b>' + name_type_matiere + '</b>');
            $('.modal-footer').html('<button type="button" class="btn btn-warning pull-right" data-dismiss="modal">Annuler</button><button type="button" class="btn btn-danger pull-right confirm_delete_type_matiere" onclick="confirmer_delete_type_matiere(' + id_type_matiere + ')" data-dismiss="modal">Confirmer</button>');
        });

        function confirmer_delete_type_matiere(id_type_matiere) {
            $('#form_delete_type_matiere_' + id_type_matiere).submit();
        }

        $('body').on('click', '.save_type_matiere', function (event) {

            var form = $('#form_add_type_matiere');
            var formData = new FormData(document.getElementById("form_add_type_matiere"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_type_matiere').attr('disabled', true);
                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalTypeMatiere').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });
        $('body').on('click', '.edit_type_matiere', function (event) {

            var form = $('#form_add_type_matiere');
            var formData = new FormData(document.getElementById("form_add_type_matiere"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_type_matiere').attr('disabled', true);

                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalTypeMatiere').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });

        function supprimer_type_matiere(name_type_matiere) {
            $('#modalTypeMatiere').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_type_matiere').html('Supprimer type matiere');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer la type matiere: ' + name_type_matiere);
            return false;
        }
    </script>

{% endblock %}